=== messageviewer/src/messageviewerheaderplugins/CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
add_subdirectory(defaultgrantleeheaderstyleplugin)
