=== debian/control ===
Source: messagelib
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               git,
               libakonadi-dev (>= 4:25.08.1~),
               libakonadicontact-dev (>= 4:25.08.1~),
               libakonadimime-dev (>= 4:25.08.1~),
               libakonadisearch-dev (>= 4:25.08.1~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libgrantleetheme-dev (>= 25.08.1~),
               libgravatar-dev (>= 4:25.08.1~),
               libkdepim-dev (>= 4:25.08.1~),
               libkf6archive-dev (>= 6.6.0~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6completion-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemviews-dev (>= 6.6.0~),
               libkf6jobwidgets-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6newstuff-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6service-dev (>= 6.6.0~),
               libkf6sonnet-dev (>= 6.6.0~),
               libkf6syntaxhighlighting-dev (>= 6.6.0~),
               libkf6texttemplate-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.1~),
               libkleo-dev (>= 4:25.08.1~),
               libkmailtransport-dev (>= 25.08.1~),
               libkmbox-dev (>= 25.08.1~),
               libkmime-dev (>= 25.08.1~),
               libkpimtextedit-dev (>= 25.08.1~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.08.1~),
               libqca-qt6-dev (>= 2.3.7~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               libssl-dev (>= 3.0.0~),
               qt6-base-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/messagelib
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Rules-Requires-Root: no

Package: messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Breaks: kf5-messagelib-data,
Replaces: kf5-messagelib-data,
Description: KDE PIM messaging library - data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: messagelib-dev
Section: libdevel
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: libakonadi-dev (>= 4:25.08.1~),
         libakonadimime-dev (>= 4:25.08.1~),
         libkf6contacts-dev (>= 6.6.0~),
         libkf6service-dev (>= 6.6.0~),
         libkidentitymanagement-dev (>= 25.08.1~),
         libkleo-dev (>= 4:25.08.1~),
         libkmime-dev (>= 25.08.1~),
         libkpim6messagecomposer6 (= ${binary:Version}),
         libkpim6messagecore6 (= ${binary:Version}),
         libkpim6messagelist6 (= ${binary:Version}),
         libkpim6messageviewer6 (= ${binary:Version}),
         libkpim6mimetreeparser6 (= ${binary:Version}),
         libkpim6templateparser6 (= ${binary:Version}),
         libkpim6webengineviewer6 (= ${binary:Version}),
         libktextaddons-dev (>= 1.5.4~),
         libpimcommon-dev (>= 4:25.08.1~),
         qt6-webengine-dev (>= 6.7.0~),
         ${misc:Depends},
Description: KDE PIM messaging library - development files
 This package contains the development files for the KDE PIM messaging library.
 It provides basic e-mail message composing facilities, message handling,
 widgets, a mimetreeparser, a template parser and more.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecomposer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkpim6messagecore6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libkpim6messagelist6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.

Package: libkpim6messageviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6mimetreeparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.
 This package contains the development files for the mime tree parser library.

Package: libkpim6templateparser6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim6webengineviewer6
Provides: ${ABI:VirtualPackage},
Architecture: amd64 arm64 armhf i386
Depends: messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Multi-Arch: same
Description: KDE's Qt WebEngine Viewer
 This library implements view on Qt WebEngine used by KDE PIM.
 .
 This package is part of the KDE PIM module.
